Bug 17161 - Making 'preview MARC' links show as buttons in batch record mod
Summary: Making 'preview MARC' links show as buttons in batch record mod
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-23 00:01 UTC by Aleisha Amohia
Modified: 2017-12-07 22:17 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17161: Making 'Preview MARC' links show as buttons in batch record modification (2.82 KB, patch)
2016-08-23 00:07 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 17161: Making 'Preview MARC' links show as buttons in batch record modification (2.89 KB, patch)
2016-08-23 09:48 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 17161: Making 'Preview MARC' links show as buttons in batch record modification (2.96 KB, patch)
2016-08-23 12:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17161: Add missing td tag (2.02 KB, patch)
2016-08-23 12:49 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-08-23 00:01:34 UTC

    
Comment 1 Aleisha Amohia 2016-08-23 00:07:19 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2016-08-23 09:48:04 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-23 12:49:43 UTC
Created attachment 54772 [details] [review]
Bug 17161: Making 'Preview MARC' links show as buttons in batch record modification

This patch removes the column heading and makes all links show as font
awesome buttons. I have also changed the wording from Preview MARC to
Show MARC to shorten the button and be consistent with other places in
Koha

To test:
1) Go to Tools -> Batch record modification
2) Put in some record numbers and click Continue
3) Ensure column heading 'Preview' no longer shows, and buttons are
showing with an appropriate icon. Confirm button still works as
expected.
4) Confirm button does not wrap on narrower browser

Sponsored-by: Catalyst IT
Works as described
Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2016-08-23 12:49:46 UTC
Created attachment 54773 [details] [review]
Bug 17161: Add missing td tag

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-09-09 14:54:31 UTC
Pushed to master for 16.11, thanks Aleisha, Jonathan!
Comment 6 Frédéric Demians 2016-09-13 07:18:54 UTC
Pushed in 16.05. Will be in 16.05.04.